Rollback transaction to savepoint

- « Session::rollback

- Session::setSavepoint »

- PHP Manual
- mysql_xdevapi\Session
- Rollback transaction to savepoint

# Session::rollbackTo

(No version information available, might only be in Git)

Session::rollbackTo — Rollback transaction to savepoint

### Description

public mysql_xdevapi\Session::rollbackTo(string `$name`): void

Rollback the transaction back to the savepoint.

### Parameters

`name`

  Name of the savepoint to rollback to; case-insensitive.

### Return Values

An SqlStatementResult object.

### Examples

Example #1 mysql_xdevapi\Session::rollbackTo() example

    <?php$session    = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$collection = $session->getSchema("addressbook")->getCollection("names");$session->startTransaction();$collection->add( '{"test1":1, "test2":2}' )->execute();$savepoint1 = $session->setSavepoint();$collection->add( '{"test3":3, "test4":4}' )->execute();$savepoint2 = $session->setSavepoint();$session->rollbackTo($savepoint1);?>